InvalidLocatorException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.locator
Class InvalidLocatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.tv.locator.InvalidLocatorException

All Implemented Interfaces:
  Serializable

    public class InvalidLocatorException

extends Exception

This exception is thrown when a `Locator` is not valid in a particular context. A `Locator` can be invalid or several reasons, including:

- The `Locator` refers to a resource that is not valid at the time of usage.
- The `Locator` refers to a type of resource that is not appropriate for usage as a particular method parameter.
- The `Locator` refers to a type of resource whose usage is not supported on this system.

See Also:
  Serialized Form

Constructor Summary
`InvalidLocatorException(Locator locator)` Constructs an `InvalidLocatorException` with no detail message.
`InvalidLocatorException(Locator locator, String reason)` Constructs an `InvalidLocatorException` with the specified detail message.

Method Summary
`Locator` | `getInvalidLocator()` Returns the offending `Locator` instance.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidLocatorException

    public InvalidLocatorException(Locator locator)

  Constructs an `InvalidLocatorException` with no detail message.

  Parameters:
    `locator` - The offending `Locator`.

### InvalidLocatorException

    public InvalidLocatorException(Locator locator,
                                   String reason)

  Constructs an `InvalidLocatorException` with the specified detail message.

  Parameters:
    `locator` - The offending `Locator`.
    `reason` - The reason this `Locator` is invalid.

Method Detail

### getInvalidLocator

    public Locator getInvalidLocator()

  Returns the offending `Locator` instance.

  Returns:
    The locator that caused the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD